Skip to content

All Cloud Connect Metrics.

POST
/api/data/namespaces/system/cloud_connects/metrics
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/cloud_connects/metrics \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "field_selector": [ "METRIC_TYPE_NONE" ], "label_filter": [ { "label": "LABEL_NONE", "op": "EQ", "value": "example" } ], "start_time": "example" }'

Cloud Connect APIs are used to GET the data for cloud connect.

Examples of this operation.

Media typeapplication/json
List metrics Request

Cloud_connect API is used to GET the in/out throughput for the tenant’s customer edges.

object
end_time
end_time

End time of metric collection from which data will be considered to fetch cloud connect data. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
field_selector
field_selector

Select fields to be returned in the response. Field_selector is used to specify the fields to be returned in the response, thereby limiting the amount of data returned in the response.

Note: Selecting many/all fields may impact the query latency.

Optional: If not specified, only the following fields are returned in the response. METRIC_TYPE_IN_BYTES, METRIC_TYPE_OUT_BYTES.

Array<string>
Allowed values: METRIC_TYPE_NONE METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_TOTAL_BYTES
label_filter
label_filter

List of label filter expressions of the form “label key” QueryOp “value”. Response will only contain data that matches all the conditions specified in the label_filter.

Optional: If not specified, cloud connect data for all sites will be returned in the response.

Array<object>
<= 100 items
Label Filter

Metrics used in the cloud connect are tagged with labels listed in the enum Label. Label Filter is used to filter the timeseries that match the specified label key/value and the operator.

object
label
string
default: LABEL_NONE
Allowed values: LABEL_NONE LABEL_CUSTOMER_EDGE LABEL_CLOUD_CONNECT
op
string
default: EQ
Allowed values: EQ NEQ
value
Value

Value of the label.

string
>= 3 characters <= 1024 characters
start_time
start_time

Start time of metric collection from which data will be considered to fetch cloud connect data. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters

A successful response.

Media typeapplication/json
List Metrics Response

Response for cloud connect API contains list of customer edges & cloud connects associated with the customer edge. Each cloud connect contains throughput data for a given cloud connect.

object
cloud_connect
Cloud Connect

Metric data specified for the cloud connect.

Array<object>
Cloud Connect Data

CloudConnectData wraps all the response data for a cloud connect.

object
data
Data

Metric values.

Array<object>
Metric Data

MetricData contains metric type and the corresponding value for a cloud connect.

object
type
string
default: METRIC_TYPE_NONE
Allowed values: METRIC_TYPE_NONE METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_TOTAL_BYTES
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
labels
Labels

Labels contains the name/value pair. “name” is the label defined in Labels.

object
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
Example
{
"cloud_connect": [
{
"data": [
{
"type": "METRIC_TYPE_NONE",
"unit": "UNIT_MILLISECONDS",
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example